Bug 4275 - winbind ignores returned RFC2307 gidNumber
winbind ignores returned RFC2307 gidNumber
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.23c
All Linux
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-01 14:56 UTC by David L. Parsley
Modified: 2007-03-23 07:58 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David L. Parsley 2006-12-01 14:56:39 UTC
net ads search -U sudlp objectSid=S-1-5-21-1980385058-2169291792-3532307926-30743
returns:
...
uidNumber: 1281861756
gidNumber: 100
...
However:
wbinfo -S S-1-5-21-1980385058-2169291792-3532307926-30743
1281861756
wbinfo -Y S-1-5-21-1980385058-2169291792-3532307926-30743
Could not convert sid S-1-5-21-1980385058-2169291792-3532307926-30743 to gid

If I take a packet trace during wbinfo, I can clearly see the ldap query and the uid and gid values both being returned - so for some reason winbind is just ignoring it.
Comment 1 Gerald (Jerry) Carter 2007-01-18 08:00:15 UTC
Winbindd is honoring the AD primary group and not the posix primary group.  
I have a patch for this that I'm integrating now.  So look for this in the
SAMBA_3_0 svn tree soon.
Comment 2 Gerald (Jerry) Carter 2007-03-23 07:58:25 UTC
I believe this is fixed in 3.0.25pre2